diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/debian/Makefile.am smixx/debian/Makefile.am
--- smixx_web/debian/Makefile.am	1970-01-01 01:00:00.000000000 +0100
+++ smixx/debian/Makefile.am	2007-03-29 17:32:23.000000000 +0200
@@ -0,0 +1,45 @@
+#
+#
+#
+EXTRA_DIST	= Makefile.am				\
+		  README.Debian				\
+		  changelog				\
+		  compat				\
+		  control				\
+		  copyright				\
+		  docs					\
+		  $(PACKAGE)-bin.install		\
+		  $(PACKAGE)-bin.dirs			\
+		  lib$(PACKAGE)-dev.examples		\
+		  lib$(PACKAGE)-dev.install		\
+		  lib$(PACKAGE)-dev.dirs		\
+		  lib$(PACKAGE)$(sovers).install	\
+		  lib$(PACKAGE)$(sovers).dirs		\
+		  rules
+
+prep:	
+	rm -f 	control				\
+		lib$(PACKAGE)?.dirs		\
+		lib$(PACKAGE)?.install
+	$(MAKE)	control 			\
+		lib$(PACKAGE)$(sovers).dirs	\
+		lib$(PACKAGE)$(sovers).install
+
+control:control.in
+	sed 's/<sovers>/$(sovers)/g' < $< > $@ 
+
+lib$(PACKAGE)$(sovers).dirs:lib$(PACKAGE).dirs.in 
+	sed 's/<sovers>/$(sovers)/g' < $< > $@ 
+
+lib$(PACKAGE)$(sovers).install:lib$(PACKAGE).install.in 
+	sed 's/<sovers>/$(sovers)/g' < $< > $@ 
+
+clean-local:
+	rm -rf 	lib$(PACKAGE)? 		\
+		lib$(PACKAGE)-dev 	\
+		$(PACKAGE)-bin		\
+		tmp
+
+#
+#
+# 
\ No newline at end of file
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/debian/README.Debian smixx/debian/README.Debian
--- smixx_web/debian/README.Debian	1970-01-01 01:00:00.000000000 +0100
+++ smixx/debian/README.Debian	2006-05-14 19:10:29.000000000 +0200
@@ -0,0 +1,7 @@
+smixx for Debian
+----------------
+
+- Documentation is available at the SMI++ web-site at http://cern.ch/smi
+
+
+ -- Christian Holm Christensen <cholm@nbi.dk>, Sun, 14 May 2006 19:01:33 +0200
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/debian/changelog smixx/debian/changelog
--- smixx_web/debian/changelog	1970-01-01 01:00:00.000000000 +0100
+++ smixx/debian/changelog	2007-03-19 10:44:08.000000000 +0100
@@ -0,0 +1,12 @@
+smixx (31.01-1) unstable; urgency=low
+
+  * New upstream version  
+
+ -- Christian Holm Christensen <cholm@nbi.dk>  Mon, 19 Mar 2007 10:43:54 +0100
+
+smixx (13.0-1) unstable; urgency=low
+
+  * Initial release Closes: #nnnn  (nnnn is the bug number of your ITP)
+
+ -- Christian Holm Christensen <cholm@nbi.dk>  Sun, 14 May 2006 19:01:33 +0200
+
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/debian/compat smixx/debian/compat
--- smixx_web/debian/compat	1970-01-01 01:00:00.000000000 +0100
+++ smixx/debian/compat	2006-05-14 19:01:34.000000000 +0200
@@ -0,0 +1 @@
+4
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/debian/control smixx/debian/control
--- smixx_web/debian/control	1970-01-01 01:00:00.000000000 +0100
+++ smixx/debian/control	2007-03-29 17:51:36.000000000 +0200
@@ -0,0 +1,65 @@
+Source: smixx
+Section: misc
+Priority: optional
+Maintainer: Christian Holm Christensen <cholm@nbi.dk>
+Build-Depends: debhelper (>= 4.0.0), autotools-dev, lesstif2-dev | libmotif-dev, libx11-dev, libxt-dev, libdim-dev, c++-compiler
+Standards-Version: 3.7.2
+
+Package: smixx-bin
+Architecture: any
+Section: misc
+Depends: ${shlibs:Depends}
+Description: Framework distributed control systems - tools
+ SMI++ is a framework for designing and implementing distributed
+ control systems. SMI++ is based on the original State Manager concept
+ which was developed by the DELPHI experiment in collaboration with
+ the DD/OC group of CERN. 
+ .
+ In this concept, a real-world system is described in terms of objects
+ behaving as Finite State Machines. SMI++ objects can run in a variety
+ of platforms all communications being handled transparently by an
+ underlying communication system - DIM.
+ .
+ This package provides run-time and development tools.
+ .
+ Web-page: http://cern.ch/smi
+ 
+Package: libsmixx1
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends}
+Description: Framework distributed control systems - libraries
+ SMI++ is a framework for designing and implementing distributed
+ control systems. SMI++ is based on the original State Manager concept
+ which was developed by the DELPHI experiment in collaboration with
+ the DD/OC group of CERN. 
+ .
+ In this concept, a real-world system is described in terms of objects
+ behaving as Finite State Machines. SMI++ objects can run in a variety
+ of platforms all communications being handled transparently by an
+ underlying communication system - DIM.
+ .
+ This package provides the run-time libraries.
+ .
+ Web-page: http://cern.ch/smi
+
+Package: libsmixx-dev
+Architecture: any
+Section: libdevel
+Depends: libsmixx1  (= ${Source-Version}), ${shlibs:Depends}, libdim-dev
+Description: Framework distributed control systems - development files
+ SMI++ is a framework for designing and implementing distributed
+ control systems. SMI++ is based on the original State Manager concept
+ which was developed by the DELPHI experiment in collaboration with
+ the DD/OC group of CERN. 
+ .
+ In this concept, a real-world system is described in terms of objects
+ behaving as Finite State Machines. SMI++ objects can run in a variety
+ of platforms all communications being handled transparently by an
+ underlying communication system - DIM.
+ .
+ This package provides the development files and tools.
+ .
+ Web-page: http://cern.ch/smi
+
+
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/debian/control.in smixx/debian/control.in
--- smixx_web/debian/control.in	1970-01-01 01:00:00.000000000 +0100
+++ smixx/debian/control.in	2007-03-29 17:34:12.000000000 +0200
@@ -0,0 +1,65 @@
+Source: smixx
+Section: misc
+Priority: optional
+Maintainer: Christian Holm Christensen <cholm@nbi.dk>
+Build-Depends: debhelper (>= 4.0.0), autotools-dev, lesstif2-dev | libmotif-dev, libx11-dev, libxt-dev, libdim-dev, c++-compiler
+Standards-Version: 3.7.2
+
+Package: smixx-bin
+Architecture: any
+Section: misc
+Depends: ${shlibs:Depends}
+Description: Framework distributed control systems - tools
+ SMI++ is a framework for designing and implementing distributed
+ control systems. SMI++ is based on the original State Manager concept
+ which was developed by the DELPHI experiment in collaboration with
+ the DD/OC group of CERN. 
+ .
+ In this concept, a real-world system is described in terms of objects
+ behaving as Finite State Machines. SMI++ objects can run in a variety
+ of platforms all communications being handled transparently by an
+ underlying communication system - DIM.
+ .
+ This package provides run-time and development tools.
+ .
+ Web-page: http://cern.ch/smi
+ 
+Package: libsmixx<sovers>
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends}
+Description: Framework distributed control systems - libraries
+ SMI++ is a framework for designing and implementing distributed
+ control systems. SMI++ is based on the original State Manager concept
+ which was developed by the DELPHI experiment in collaboration with
+ the DD/OC group of CERN. 
+ .
+ In this concept, a real-world system is described in terms of objects
+ behaving as Finite State Machines. SMI++ objects can run in a variety
+ of platforms all communications being handled transparently by an
+ underlying communication system - DIM.
+ .
+ This package provides the run-time libraries.
+ .
+ Web-page: http://cern.ch/smi
+
+Package: libsmixx-dev
+Architecture: any
+Section: libdevel
+Depends: libsmixx<sovers>  (= ${Source-Version}), ${shlibs:Depends}, libdim-dev
+Description: Framework distributed control systems - development files
+ SMI++ is a framework for designing and implementing distributed
+ control systems. SMI++ is based on the original State Manager concept
+ which was developed by the DELPHI experiment in collaboration with
+ the DD/OC group of CERN. 
+ .
+ In this concept, a real-world system is described in terms of objects
+ behaving as Finite State Machines. SMI++ objects can run in a variety
+ of platforms all communications being handled transparently by an
+ underlying communication system - DIM.
+ .
+ This package provides the development files and tools.
+ .
+ Web-page: http://cern.ch/smi
+
+
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/debian/copyright smixx/debian/copyright
--- smixx_web/debian/copyright	1970-01-01 01:00:00.000000000 +0100
+++ smixx/debian/copyright	2006-05-14 21:12:54.000000000 +0200
@@ -0,0 +1,28 @@
+This package was debianized by Christian Holm Christensen <cholm@nbi.dk> on
+Sun, 14 May 2006 19:01:33 +0200.
+
+It was downloaded from http://cern.ch/smi
+
+Copyright Holder: Bohumil Franek <b.franek@rl.ac.uk> and Clara
+		  Gaspar <Clara.Gaspar@cern.ch>
+
+
+License:
+
+   This package is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2 of the License, or
+   (at your option) any later version.
+
+   This package is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this package; if not, write to the Free Software
+   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+
+On Debian systems, the complete text of the GNU General
+Public License can be found in `/usr/share/common-licenses/GPL'.
+
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/debian/docs smixx/debian/docs
--- smixx_web/debian/docs	1970-01-01 01:00:00.000000000 +0100
+++ smixx/debian/docs	2006-05-14 19:01:34.000000000 +0200
@@ -0,0 +1 @@
+README
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/debian/files smixx/debian/files
--- smixx_web/debian/files	1970-01-01 01:00:00.000000000 +0100
+++ smixx/debian/files	2007-03-29 18:09:00.000000000 +0200
@@ -0,0 +1,3 @@
+smixx-bin_31.01-1_i386.deb misc optional
+libsmixx1_31.01-1_i386.deb libs optional
+libsmixx-dev_31.01-1_i386.deb libdevel optional
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/debian/libsmixx-dev.dirs smixx/debian/libsmixx-dev.dirs
--- smixx_web/debian/libsmixx-dev.dirs	1970-01-01 01:00:00.000000000 +0100
+++ smixx/debian/libsmixx-dev.dirs	2007-03-29 17:31:29.000000000 +0200
@@ -0,0 +1,6 @@
+usr/lib
+usr/include
+usr/bin
+usr/share/man/man1
+usr/lib/pkgconfig
+usr/share/aclocal
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/debian/libsmixx-dev.examples smixx/debian/libsmixx-dev.examples
--- smixx_web/debian/libsmixx-dev.examples	1970-01-01 01:00:00.000000000 +0100
+++ smixx/debian/libsmixx-dev.examples	2006-05-15 00:01:22.000000000 +0200
@@ -0,0 +1,9 @@
+src/EXAMPLES/run_control/config_MINI_RUN.dat
+src/EXAMPLES/run_control/evt_builder.c
+src/EXAMPLES/run_control/evt_builder_cpp.cxx
+src/EXAMPLES/run_control/logger.c
+src/EXAMPLES/run_control/logger.hxx
+src/EXAMPLES/run_control/logger_cpp.cxx
+src/EXAMPLES/run_control/run_con.smi
+src/EXAMPLES/run_control/runit
+
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/debian/libsmixx-dev.install smixx/debian/libsmixx-dev.install
--- smixx_web/debian/libsmixx-dev.install	1970-01-01 01:00:00.000000000 +0100
+++ smixx/debian/libsmixx-dev.install	2006-05-14 22:39:53.000000000 +0200
@@ -0,0 +1,16 @@
+usr/lib/lib*.so
+usr/lib/lib*.a
+usr/lib/lib*.la
+usr/include/smixx/*
+usr/bin/smixx-config
+usr/bin/smiGen
+usr/bin/smiTrans
+usr/bin/smiPreproc
+usr/bin/smimake
+usr/share/man/man1/smixx-config.1
+usr/share/man/man1/smiGen.1
+usr/share/man/man1/smiTrans.1
+usr/share/man/man1/smiPreproc.1
+usr/share/man/man1/smimake.1
+usr/share/aclocal/smixx.m4
+
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/debian/libsmixx-dev.substvars smixx/debian/libsmixx-dev.substvars
--- smixx_web/debian/libsmixx-dev.substvars	1970-01-01 01:00:00.000000000 +0100
+++ smixx/debian/libsmixx-dev.substvars	2007-03-29 18:08:56.000000000 +0200
@@ -0,0 +1 @@
+shlibs:Depends=libc6 (>= 2.3.6-6), libdim1, libgcc1 (>= 1:4.1.1-12), libstdc++6 (>= 4.1.1-12)
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/debian/libsmixx.dirs.in smixx/debian/libsmixx.dirs.in
--- smixx_web/debian/libsmixx.dirs.in	1970-01-01 01:00:00.000000000 +0100
+++ smixx/debian/libsmixx.dirs.in	2007-03-29 17:30:44.000000000 +0200
@@ -0,0 +1 @@
+usr/lib
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/debian/libsmixx.install.in smixx/debian/libsmixx.install.in
--- smixx_web/debian/libsmixx.install.in	1970-01-01 01:00:00.000000000 +0100
+++ smixx/debian/libsmixx.install.in	2006-05-14 19:10:59.000000000 +0200
@@ -0,0 +1 @@
+usr/lib/lib*.so.*
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/debian/libsmixx1.dirs smixx/debian/libsmixx1.dirs
--- smixx_web/debian/libsmixx1.dirs	1970-01-01 01:00:00.000000000 +0100
+++ smixx/debian/libsmixx1.dirs	2007-03-29 17:51:36.000000000 +0200
@@ -0,0 +1 @@
+usr/lib
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/debian/libsmixx1.install smixx/debian/libsmixx1.install
--- smixx_web/debian/libsmixx1.install	1970-01-01 01:00:00.000000000 +0100
+++ smixx/debian/libsmixx1.install	2007-03-29 17:51:36.000000000 +0200
@@ -0,0 +1 @@
+usr/lib/lib*.so.*
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/debian/libsmixx1.postinst.debhelper smixx/debian/libsmixx1.postinst.debhelper
--- smixx_web/debian/libsmixx1.postinst.debhelper	1970-01-01 01:00:00.000000000 +0100
+++ smixx/debian/libsmixx1.postinst.debhelper	2007-03-29 18:06:58.000000000 +0200
@@ -0,0 +1,5 @@
+# Automatically added by dh_makeshlibs
+if [ "$1" = "configure" ]; then
+	ldconfig
+fi
+# End automatically added section
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/debian/libsmixx1.postrm.debhelper smixx/debian/libsmixx1.postrm.debhelper
--- smixx_web/debian/libsmixx1.postrm.debhelper	1970-01-01 01:00:00.000000000 +0100
+++ smixx/debian/libsmixx1.postrm.debhelper	2007-03-29 18:06:58.000000000 +0200
@@ -0,0 +1,5 @@
+# Automatically added by dh_makeshlibs
+if [ "$1" = "remove" ]; then
+	ldconfig
+fi
+# End automatically added section
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/debian/libsmixx1.substvars smixx/debian/libsmixx1.substvars
--- smixx_web/debian/libsmixx1.substvars	1970-01-01 01:00:00.000000000 +0100
+++ smixx/debian/libsmixx1.substvars	2007-03-29 18:08:12.000000000 +0200
@@ -0,0 +1 @@
+shlibs:Depends=libc6 (>= 2.3.6-6), libdim1, libgcc1 (>= 1:4.1.1-12), libstdc++6 (>= 4.1.1-12)
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/debian/rules smixx/debian/rules
--- smixx_web/debian/rules	1970-01-01 01:00:00.000000000 +0100
+++ smixx/debian/rules	2007-03-29 17:34:21.000000000 +0200
@@ -0,0 +1,143 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+#
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+#
+# Modified to make a template file for a multi-binary package with separated
+# build-arch and build-indep targets  by Bill Allombert 2001
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+# This has to be exported to make some magic below work.
+export DH_OPTIONS
+
+# These are used for cross-compiling and for saving the configure script
+# from having to guess our platform (since we know it already)
+DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
+
+CFLAGS = -Wall -g
+
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -O0
+else
+	CFLAGS += -O2
+endif
+
+config.status: configure
+	dh_testdir
+	# Add here commands to configure the package.
+	CFLAGS="$(CFLAGS) -Wl,-z,defs" \
+		./configure --host=$(DEB_HOST_GNU_TYPE) 	\
+			    --build=$(DEB_BUILD_GNU_TYPE) 	\
+			    --prefix=/usr 			\
+			    --mandir=\$${prefix}/share/man 	\
+			    --infodir=\$${prefix}/share/info
+
+
+#Architecture 
+build: build-arch build-indep
+
+build-arch: build-arch-stamp
+build-arch-stamp:  config.status
+
+	# Add here commands to compile the arch part of the package.
+	#$(MAKE) 
+	touch build-arch-stamp
+
+build-indep: build-indep-stamp
+build-indep-stamp:  config.status
+
+	# Add here commands to compile the indep part of the package.
+	#$(MAKE) doc
+	touch build-indep-stamp
+
+clean:
+	dh_testdir
+	dh_testroot
+	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#
+
+	# Add here commands to clean up after the build process.
+	-$(MAKE) distclean
+ifneq "$(wildcard /usr/share/misc/config.sub)" ""
+	cp -f /usr/share/misc/config.sub config.sub
+endif
+ifneq "$(wildcard /usr/share/misc/config.guess)" ""
+	cp -f /usr/share/misc/config.guess config.guess
+endif
+
+
+	dh_clean 
+
+install: install-indep install-arch
+install-indep:
+	dh_testdir
+	dh_testroot
+	dh_clean -k -i 
+	dh_installdirs -i
+
+	# Add here commands to install the indep part of the package into
+	# debian/<package>-doc.
+	#INSTALLDOC#
+
+	dh_install -i
+
+install-arch:
+	dh_testdir
+	dh_testroot
+	dh_clean -k -s 
+	dh_installdirs -s
+
+	# Add here commands to install the arch part of the package into 
+	# debian/tmp.
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+
+	dh_install -s --sourcedir=$(CURDIR)/debian/tmp --list-missing
+
+# Must not depend on anything. This is to be called by
+# binary-arch/binary-indep
+# in another 'make' thread.
+binary-common:
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs 
+	dh_installdocs
+	dh_installexamples
+#	dh_installmenu
+#	dh_installdebconf	
+#	dh_installlogrotate	
+#	dh_installemacsen
+#	dh_installpam
+#	dh_installmime
+#	dh_installinit
+#	dh_installcron
+#	dh_installinfo
+	dh_installman
+	dh_link
+	dh_strip
+	dh_compress 
+	dh_fixperms
+#	dh_perl
+#	dh_python
+	dh_makeshlibs -V
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+# Build architecture independant packages using the common target.
+binary-indep: build-indep install-indep
+#	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
+
+# Build architecture dependant packages using the common target.
+binary-arch: build-arch install-arch
+	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common
+
+binary: binary-arch binary-indep
+.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch 
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/debian/smixx-bin.dirs smixx/debian/smixx-bin.dirs
--- smixx_web/debian/smixx-bin.dirs	1970-01-01 01:00:00.000000000 +0100
+++ smixx/debian/smixx-bin.dirs	2007-03-29 17:34:47.000000000 +0200
@@ -0,0 +1,2 @@
+usr/bin
+usr/share/man/man1
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/debian/smixx-bin.install smixx/debian/smixx-bin.install
--- smixx_web/debian/smixx-bin.install	1970-01-01 01:00:00.000000000 +0100
+++ smixx/debian/smixx-bin.install	2006-05-14 23:37:46.000000000 +0200
@@ -0,0 +1,8 @@
+usr/bin/smiSM
+usr/bin/smiGUI
+usr/bin/smiSendCommand
+usr/bin/smiKill
+usr/share/man/man1/smiSM.1
+usr/share/man/man1/smiGUI.1
+usr/share/man/man1/smiSendCommand.1
+usr/share/man/man1/smiKill.1
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/smixx/Makefile.am smixx/smixx/Makefile.am
--- smixx_web/smixx/Makefile.am	1970-01-01 01:00:00.000000000 +0100
+++ smixx/smixx/Makefile.am	2007-03-19 10:55:52.000000000 +0100
@@ -0,0 +1,17 @@
+#
+#
+#
+pkginclude_HEADERS	= parameters.h		\
+			  smirtl.h		\
+			  smirtl.hxx		\
+			  smirtl_core.hxx	\
+			  smiuirtl.h		\
+			  smiuirtl.hxx		\
+			  smiuirtl_core.hxx	\
+			  smixx_common.hxx	\
+			  smixx_parstring_util.h \
+			  version.h		
+
+#
+# EOF
+#
\ No newline at end of file
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/smixx/smirtl.hxx smixx/smixx/smirtl.hxx
--- smixx_web/smixx/smirtl.hxx	2003-12-15 16:27:38.000000000 +0100
+++ smixx/smixx/smirtl.hxx	2007-03-19 09:55:42.000000000 +0100
@@ -28,6 +28,7 @@
 	char *itsName;
 	int itsType;
 	char *itsData;
+	char *itsEscData;
 	char itsTypeStr[8];
 public:
 	ParInfo(char *name, int type);
@@ -37,8 +38,10 @@
 	char *getName() { return itsName; }
 	int getType() { return itsType; }
 	int getDataSize() { return strlen(itsData)+1; }
+	int getEscDataSize() { return strlen(itsEscData)+1; }
 	char *getTypeStr() { return itsTypeStr; }
 	char *getData() { return itsData; }
+	char *getEscData() { return itsEscData; }
 	
 };
 
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/smixx/smiuirtl.hxx smixx/smixx/smiuirtl.hxx
--- smixx_web/smixx/smiuirtl.hxx	2004-11-11 14:40:56.000000000 +0100
+++ smixx/smixx/smiuirtl.hxx	2007-03-19 09:55:42.000000000 +0100
@@ -36,6 +36,8 @@
 	int itsValueSize;
 	int itsType;
 	int itisObj;
+	void *itsEscValue;
+	int itsEscValueSize;
 public:
 	SmiParam(char *name);
 	~SmiParam();
@@ -44,6 +46,8 @@
 	int getValueInt() { return *(int *)itsValue; };
 	double getValueFloat() { return *(double *)itsValue; };
 	char *getValueString() { return (char *)itsValue; };
+	char *getEscValueString() { return (char *)itsEscValue; }
+	void convertToEsc();
 	int hasValue() {return itsDefault; };
 	int setValue(int val);
 	int setValue(double val);
@@ -62,6 +66,7 @@
 public:
 	virtual ~ParamHandler() {};
 	int getNParams() { return itsNParams; };
+	virtual SmiParam *getFirstParam();
 	virtual SmiParam *getNextParam();
 };
 
